netbeans backport for OpenJDK 11

Bug #1816528 reported by Matthias Klose on 2019-02-19
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
asm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
bnd (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libequinox-osgi-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libgoogle-gson-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libnb-javaparser-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
libnb-platform18-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
netbeans (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

Tracking packages to backport Netbeans from disco to work with OpenJDK 11, following up on LP: #1814133.

NOTE TO SRU MEMBERS: The packages are to be released into bionic-security ONLY. This will be done/decided by the security team.

CVE References

Matthias Klose (doko) wrote :

packages in the openjdk-11-transition/apps PPA. smoketest starting netbeans succeeds.

Hello Matthias, or anyone else affected,

Accepted asm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/asm/7.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

description: updated
Changed in asm (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in bnd (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted bnd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bnd/3.5.0-4~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libequinox-osgi-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libequinox-osgi-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libequinox-osgi-java/3.9.1-4~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libgoogle-gson-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libgoogle-gson-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libgoogle-gson-java/2.8.5-3~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libnb-javaparser-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libnb-javaparser-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libnb-javaparser-java/9+2018-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libnb-platform18-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libnb-platform18-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libnb-platform18-java/10.0-2~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netbeans (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted netbeans into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netbeans/10.0-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted netbeans into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netbeans/10.0-3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted netbeans into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netbeans/10.0-3~18.04.1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netbeans (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted netbeans into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netbeans/10.0-3~18.04.1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libequinox-osgi-java - 3.9.1-4~18.04

---------------
libequinox-osgi-java (3.9.1-4~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.
  * Build using debhelper compat 11.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 13:59:34 +0100

Changed in libequinox-osgi-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgoogle-gson-java - 2.8.5-3~18.04

---------------
libgoogle-gson-java (2.8.5-3~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 13:57:47 +0100

Changed in libgoogle-gson-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnb-javaparser-java - 9+2018-1~18.04

---------------
libnb-javaparser-java (9+2018-1~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.
  * Build using debhelper compat 11.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 13:55:04 +0100

Changed in libnb-javaparser-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnb-platform18-java - 10.0-2~18.04.1

---------------
libnb-platform18-java (10.0-2~18.04.1) bionic; urgency=medium

  * Build for bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 14:37:14 +0100

Changed in libnb-platform18-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asm - 7.0-1~18.04

---------------
asm (7.0-1~18.04) bionic; urgency=medium

  * Upload to bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 09:57:38 +0100

Changed in asm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bnd - 3.5.0-4~18.04

---------------
bnd (3.5.0-4~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 14:42:32 +0100

Changed in bnd (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netbeans - 10.0-3~18.04.1ubuntu1

---------------
netbeans (10.0-3~18.04.1ubuntu1) bionic; urgency=medium

  [ Matthias Klose ]
  * Build for bionic. LP: #1816528.

  [ Tiago Stürmer Daitx ]
  * debian/patches/revert-netbeans-clusters: revert netbeans.clusters so
    there's no diff from the conffile of the previous version, otherwise
    any local changes to netbeans.clusters would prevent u-u from upgrading
    the netbeans package.

netbeans (10.0-3) unstable; urgency=medium

  * Drop javaewah-version.patch
  * Tighten dependency on libjavaewah-java (>= 0.7.9)
  * Start new changelog entry
  * Disable the javafx.cluster because JavaFX will not work with OpenJDK 11 and
    Netbeans 10.
    Update nb-javac.patch and hide some classes from the CLASSPATH. nb-javac
    needs to override classfiles in the JDK and some OSGi metadata is only
    present in the prebuilt version from the plugin portal. This has to be
    added to fix the sealing violation error.
    Thanks to Jan Lahoda and Jaroslav Tulach for the help and support.
    (Closes: #920707)

netbeans (10.0-2) unstable; urgency=medium

  * Replace NoJavacHelper.patch with Unsafe.patch which is much better.
  * Fix broken subversion support by symlinking all necessary system jars to
    the ide cluster.
  * Remove netbeans-slf4j.dummy.patch again.
  * Add nb-javac.patch. The nb-javac module is not properly detected. This
    patch adds the necessary jar files to the Class-Path. However now there is
    an Unexpected Exception, a sealing violation. It appears to be harmless
    but the notification at startup is irritating.

netbeans (10.0-1) unstable; urgency=medium

  * New upstream version 10.0.
     - Fixes CVE-2016-5537. (Closes: #852029)
     - Fix Netbeans is not starting. (Closes: #894715)
     - Fix broken symlinks. (Closes: #857955)
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Remove w3c-sgm-lib and libpostgresql-jdbc-java dependencies.
  * Drop libmysql-java dependency. (Closes: #913362)

netbeans (8.1+dfsg3-5) unstable; urgency=medium

  * Update osgi-update.patch and sync it with the latest version of
    libequinox-osgi-java. (Closes: #891957)
  * Build-depend and depend on openjdk-8-jdk, otherwise Netbeans will not work.
  * Build-conflict against OpenJDK 10 and OpenJDK 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Switch to compat level 11.

 -- Tiago Stürmer Daitx <email address hidden> Wed, 10 Apr 2019 01:45:08 +0000

Changed in netbeans (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libequinox-osgi-java - 3.9.1-4~18.04

---------------
libequinox-osgi-java (3.9.1-4~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.
  * Build using debhelper compat 11.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 13:59:34 +0100

Changed in libequinox-osgi-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgoogle-gson-java - 2.8.5-3~18.04

---------------
libgoogle-gson-java (2.8.5-3~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 13:57:47 +0100

Changed in libgoogle-gson-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnb-javaparser-java - 9+2018-1~18.04

---------------
libnb-javaparser-java (9+2018-1~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.
  * Build using debhelper compat 11.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 13:55:04 +0100

Changed in libnb-javaparser-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnb-platform18-java - 10.0-2~18.04.1

---------------
libnb-platform18-java (10.0-2~18.04.1) bionic; urgency=medium

  * Build for bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 14:37:14 +0100

Changed in libnb-platform18-java (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bnd - 3.5.0-4~18.04

---------------
bnd (3.5.0-4~18.04) bionic; urgency=medium

  * Build for bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Sun, 03 Feb 2019 14:42:32 +0100

Changed in bnd (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package asm - 7.0-1~18.04

---------------
asm (7.0-1~18.04) bionic; urgency=medium

  * Upload to bionic. LP: #1816528.

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 09:57:38 +0100

Changed in asm (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netbeans - 10.0-3~18.04.1ubuntu1

---------------
netbeans (10.0-3~18.04.1ubuntu1) bionic; urgency=medium

  [ Matthias Klose ]
  * Build for bionic. LP: #1816528.

  [ Tiago Stürmer Daitx ]
  * debian/patches/revert-netbeans-clusters: revert netbeans.clusters so
    there's no diff from the conffile of the previous version, otherwise
    any local changes to netbeans.clusters would prevent u-u from upgrading
    the netbeans package.

netbeans (10.0-3) unstable; urgency=medium

  * Drop javaewah-version.patch
  * Tighten dependency on libjavaewah-java (>= 0.7.9)
  * Start new changelog entry
  * Disable the javafx.cluster because JavaFX will not work with OpenJDK 11 and
    Netbeans 10.
    Update nb-javac.patch and hide some classes from the CLASSPATH. nb-javac
    needs to override classfiles in the JDK and some OSGi metadata is only
    present in the prebuilt version from the plugin portal. This has to be
    added to fix the sealing violation error.
    Thanks to Jan Lahoda and Jaroslav Tulach for the help and support.
    (Closes: #920707)

netbeans (10.0-2) unstable; urgency=medium

  * Replace NoJavacHelper.patch with Unsafe.patch which is much better.
  * Fix broken subversion support by symlinking all necessary system jars to
    the ide cluster.
  * Remove netbeans-slf4j.dummy.patch again.
  * Add nb-javac.patch. The nb-javac module is not properly detected. This
    patch adds the necessary jar files to the Class-Path. However now there is
    an Unexpected Exception, a sealing violation. It appears to be harmless
    but the notification at startup is irritating.

netbeans (10.0-1) unstable; urgency=medium

  * New upstream version 10.0.
     - Fixes CVE-2016-5537. (Closes: #852029)
     - Fix Netbeans is not starting. (Closes: #894715)
     - Fix broken symlinks. (Closes: #857955)
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Remove w3c-sgm-lib and libpostgresql-jdbc-java dependencies.
  * Drop libmysql-java dependency. (Closes: #913362)

netbeans (8.1+dfsg3-5) unstable; urgency=medium

  * Update osgi-update.patch and sync it with the latest version of
    libequinox-osgi-java. (Closes: #891957)
  * Build-depend and depend on openjdk-8-jdk, otherwise Netbeans will not work.
  * Build-conflict against OpenJDK 10 and OpenJDK 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Switch to compat level 11.

 -- Tiago Stürmer Daitx <email address hidden> Wed, 10 Apr 2019 01:45:08 +0000

Changed in netbeans (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) on 2019-04-16
Changed in netbeans (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers